## [Rest API: RMA QB Exported](/content/updates/rest-api-rma-qb-exported/index.html)

We have added the optional parameter **QBExported** to the [PUT /api/Rma/{id}](/content/developer/dev-article/update-rma/index.html) endpoint, allowing you to change an [RMA’s](/content/help/omnichannel-ecommerce/creating-an-rma-return-merchandise-authorization/index.html) as “Exported to QuickBooks” status via API.

## [Create Order via API](/content/updates/create-order-via-api/index.html)

You can now mark orders as **Allow Shipping Without Payment** directly while creating the sales order by calling the [POST /api/Orders](/content/developer/dev-article/create-new-sales-order/index.html) endpoint. By default, you are not able to ship an order unless it is fully charged. With this status set to true, you can ship the order before receiving payment. Ensure all other necessary settings are configured for this [workflow](/content/help/omnichannel-ecommerce/preventing-orders-from-shipping/#Unpaid_Orders/index.html).

## [Get Carrier Information and Modify PO](/content/updates/get-carrier-information-and-modify-po/index.html)

We have added three new endpoints to our REST API:

- [Update Purchase Order](/content/developer/dev-article/update-purchase-order/index.html) – use this endpoint to modify a single existing Purchase Order. You can update the corresponding fields in the **General** panel on the PO Details page.
- [Get Shipping Carriers](/content/developer/dev-article/get-shipping-carriers/index.html) – call this endpoint to retrieve the list of valid Shipping Carriers from your server. The response will return the Carrier names and numerical IDs.
- [Get Shipping Services](/content/developer/dev-article/get-shipping-services/index.html) – use this endpoint to retrieve the list of valid Shipping Services per carrier from your server. The response will return the Service names and numerical IDs.

## [Modified API Endpoints](/content/updates/modified-api-endpoints/index.html)

We have slightly modified two Rest API endpoints:

- [Get All RMAs](/content/developer/dev-article/get-all-rmas/index.html) – added **QB Exported** parameter, allowing you to filter based on whether the RMAs have been exported to QuickBooks.
- [Get Order Packages](/content/developer/dev-article/get-order-packages/index.html) – the response body will now also include an indicator of whether each item is a Kit Parent.

## [Update Order Shipping Information](/content/updates/update-order-shipping-information/index.html)

We have added a new endpoint for our Rest API, which allows you to [Update the Shipping Information](/content/developer/dev-article/update-shipping-information/index.html) of a single sales order. This endpoint allows you to change the shipping carrier and service of an order without having to mark the order as shipped or completed.

## [Account-wide Rest API Call Logs](/content/updates/account-wide-rest-api-call-logs/index.html)

We have added a new account-wide [Rest API Call Log](/content/help/omnichannel-ecommerce/rest-api-logs/#Account-wide_Rest_API_Call_Logs/index.html) page accessible for users with the [Client Admin role](/content/help/omnichannel-ecommerce/employee-permissions-and-roles/#Employee_Roles/index.html). The page provides a granular view of user interactions with Sellercloud’s [Rest API](https://developer.sellercloud.com/dev-category/rest-api/), which developers and administrators can use to troubleshoot issues, analyze performance, and fine-tune API usage.

## [API Endpoints | Split PO, Get PO by View, Get PO Views, and Update Order Columns](/content/updates/api-endpoints-split-po-get-po-by-view-get-po-views-and-update-order-columns/index.html)

We have added four new endpoints to our Rest API:

- [Split Purchase Order](/content/developer/dev-article/split-purchase-order/index.html) – use this endpoint for cases when you need to [Split](/content/help/omnichannel-ecommerce/managing-pos-additional-functions/#Split_a_PO/index.html) an existing [Purchase order](/content/help/omnichannel-ecommerce/managing-pos/index.html).
- [Get Purchase Orders By View](/content/developer/dev-article/get-purchase-orders-by-view/index.html) – use this endpoint to get the details of a list of Purchase orders by using an existing PO [Saved View](/content/help/omnichannel-ecommerce/saved-searches/index.html).
- [Get PO Saved Views](/content/developer/dev-article/get-po-saved-views/index.html) – use this endpoint to get the list of your existing Purchase Order [Saved Views](/content/help/omnichannel-ecommerce/saved-searches/index.html). The response body will return a list of your Saved views, including the View Name and numerical ID.
- [Update Multiple Custom Columns for Order](/content/developer/dev-article/update-multiple-custom-columns-for-order/index.html) – use this endpoint to update the values for multiple existing [Custom Order Columns](/content/help/omnichannel-ecommerce/custom-columns-overview/#Order_Custom_Columns/index.html) at once.

## [API Endpoints | Order Snapshot and PO Serials](/content/updates/api-endpoints-order-snapshot-and-po-serials/index.html)

We have added two new endpoints to our Rest API:

- [GET Order Snapshot](/content/developer/dev-article/get-order-snapshot/index.html) – Use this endpoint to request the [Snapshot](/content/help/omnichannel-ecommerce/orders-details-page/#:~:text=items%E2%80%99%20current%20inventory.-,View%20Snapshot,-%E2%80%93%C2%A0This%20action/index.html) of an Order. The Snapshot is generated for orders that have been [split](/content/help/omnichannel-ecommerce/splitting-an-order/index.html), and their purpose is to show you the entirety of the original order, useful for financial recordkeeping and reports.
- [ADD Serial Numbers For A Purchase Order](/content/developer/dev-article/add-serial-numbers-for-a-po/index.html) – Use this endpoint to add [serial numbers](/content/help/omnichannel-ecommerce/serial-numbers/index.html) to your [PO](/content/help/omnichannel-ecommerce/managing-pos/index.html) items.

## [Delete PO Items via REST API](/content/updates/delete-po-items-via-rest-api/index.html)

You are now able to delete [Purchase Order](https://help.sellercloud.com/omnichannel-ecommerce/managing-pos/) Items via API using the new DELETE /api/PurchaseOrders/{id}/Items [REST API endpoint](https://developer.sellercloud.com/dev-article/delete-purchase-order-items/).

## [Update Customer Information API Endpoints](/content/updates/update-customer-information-api-endpoints/index.html)

We have added three new PUT endpoints to our Rest API that you can use to update customer information:

- [Update Customer](https://developer.sellercloud.com/dev-article/update-customer/) – this endpoint allows you to overwrite information on the Customer Details page in Sellercloud.
- [Update Customer Order Options](https://developer.sellercloud.com/dev-article/update-customer-order-options/) – use this endpoint to update Customer information related to orders, such as tax consideration, pricing, fees, invoices, and discounts.
- [Update Customer Shipping Preferences](https://developer.sellercloud.com/dev-article/update-customer-shipping-preferences/) – with this endpoint, you can configure the customer shipping preferences, related to preferred carriers, shipping fees, and shipping account.
